Loading...
Searching...
No Matches
Opm::Mpi::detail::Packing< pod, T > Struct Template Reference

Abstract struct for packing which is (partially) specialized for specific types. More...

`#include <MPIPacker.hpp>`

## Static Public Member Functions

static std::size_t | packSize (const T &, Parallel::MPIComm)
static void | pack (const T &, std::vector< char > &, std::size_t &, Parallel::MPIComm)
static void | unpack (T &, const std::vector< char > &, std::size_t &, Parallel::MPIComm)

## Detailed Description

template<bool pod, class T>
struct Opm::Mpi::detail::Packing< pod, T >

Abstract struct for packing which is (partially) specialized for specific types.

The documentation for this struct was generated from the following files:

- opm/simulators/utils/MPIPacker.hpp
- opm/simulators/utils/MPIPacker.cpp